Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.converter
Class AbstractExcelConverter

    java.lang.Object
      org.apache.poi.hssf.converter.AbstractExcelConverter

Direct Known Subclasses:
  ExcelToFoConverter, ExcelToHtmlConverter

    public abstract class AbstractExcelConverter

extends java.lang.Object

Common class for `ExcelToFoConverter` and `ExcelToHtmlConverter`

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)
See Also:
  `AbstractWordConverter`

Constructor Summary
`AbstractExcelConverter()`

Method Summary
`FontReplacer` | `getFontReplacer()`
`boolean` | `isOutputColumnHeaders()`
`boolean` | `isOutputHiddenColumns()`
`boolean` | `isOutputHiddenRows()`
`boolean` | `isOutputLeadingSpacesAsNonBreaking()`
`boolean` | `isOutputRowNumbers()`
`void` | `setFontReplacer(FontReplacer fontReplacer)`
`void` | `setOutputColumnHeaders(boolean outputColumnHeaders)`
`void` | `setOutputHiddenColumns(boolean outputZeroWidthColumns)`
`void` | `setOutputHiddenRows(boolean outputZeroHeightRows)`
`void` | `setOutputLeadingSpacesAsNonBreaking(boolean outputPrePostSpacesAsNonBreaking)`
`void` | `setOutputRowNumbers(boolean outputRowNumbers)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExcelConverter

    public AbstractExcelConverter()

Method Detail

### getFontReplacer

    public FontReplacer getFontReplacer()

### isOutputColumnHeaders

    public boolean isOutputColumnHeaders()

### isOutputHiddenColumns

    public boolean isOutputHiddenColumns()

### isOutputHiddenRows

    public boolean isOutputHiddenRows()

### isOutputLeadingSpacesAsNonBreaking

    public boolean isOutputLeadingSpacesAsNonBreaking()

### isOutputRowNumbers

    public boolean isOutputRowNumbers()

### setFontReplacer

    public void setFontReplacer(FontReplacer fontReplacer)

### setOutputColumnHeaders

    public void setOutputColumnHeaders(boolean outputColumnHeaders)

### setOutputHiddenColumns

    public void setOutputHiddenColumns(boolean outputZeroWidthColumns)

### setOutputHiddenRows

    public void setOutputHiddenRows(boolean outputZeroHeightRows)

### setOutputLeadingSpacesAsNonBreaking

    public void setOutputLeadingSpacesAsNonBreaking(boolean outputPrePostSpacesAsNonBreaking)

### setOutputRowNumbers

    public void setOutputRowNumbers(boolean outputRowNumbers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD